<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");

if($apt->get['do'] == 'rateing'){

$member_group = $apt->cookie['cgroup'];
$allow_me = in_array($member_group,$allow_rate);
if(!$allow_me){
$apt->errmsg("عفوا ... لا يسمح لك بالدخول الى صفحة تقييم الصور");
}else{
$apt->title	= "تقييم الصور";
$imgid = $apt->setid('imgid');
if($apt->post['rate'] == ''){
$url = "mod.php?mod=gallery&modfile=picshow&imgid=$imgid";
$apt->bodymsg("عفوا ... لم تقم بتقييم الصورة<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);
}else{
$rate 	= intval($apt->post['rate']);

$apt->query("update rafia_gallery_image set rate=rate+$rate,rateno=rateno+1 where imgid='$imgid'");
}

$url = "mod.php?mod=gallery&modfile=picshow&imgid=$imgid";
$apt->bodymsg("تم اضافة تقييمك على الصورة بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);
}

}elseif($apt->get['do'] == 'comment'){
$member_group = $apt->cookie['cgroup'];
$allow_me = in_array($member_group,$allow_comm);
if(!$allow_me){
$apt->errmsg("عفوا ... لا يسمح لك بالدخول الى صفحة التعليق على الصور");
}else{
$apt->title	= "التعليق على الصور";
$imgid 	= $apt->setid('imgid');
if($member_group == 3){
$uname	= 'زائر ['.trim($apt->post[uname]) .']';
$umail	= $apt->post[umail];
}else{
$uname	= $apt->format_data($apt->cookie['cname']);
$umail	= "";
}
$commtext	= $apt->format_post(trim($apt->post["commtext"]));
$member_id  = $apt->format_data($apt->cookie['cid']);
$member_ip  = $apt->ip;
$time 	= time();
//if($parent_eye == 1){$allow = 0;}else{$allow = 1;}
//if($member_group == 1){$allow = 1;}
$allow = 1;
$apt->query("INSERT INTO rafia_gallery_comm VALUES ('', '$imgid', '$uname', '$member_id', '$umail', '$member_ip', '$commtext','$time','$allow');");

$url = "mod.php?mod=gallery&modfile=picshow&imgid=$imgid";
$apt->bodymsg("تم اضافة تعليقك على الصورة بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);
}
}elseif($apt->get['do'] == 'send'){
$imgid = $apt->setid('imgid');

    @extract($_POST);
    if (!$apt->full($fromname))
       {
           $apt->errmsg(LANG_ERROR_VALIDATE);
       }
    if (!$apt->full($message))
       {
           $apt->errmsg(LANG_ERROR_VALIDATE);
       }

    if (!$apt->check_email($apt->post['tomail']))
       {
           $apt->errmsg(LANG_ERROR_VALID_EMIAL);
       }

    if (!$apt->check_email($apt->post['fromail']))
       {
           $apt->errmsg(LANG_ERROR_VALID_EMIAL);
       }

       $mail = new email;
       $mail->send($tomail,"رسالة من صديقك",$message,$fromname,$fromail,0);
		 $apt->bodymsg("تم ارسال الرسالة بنجاح ... سوف ترجع الان الى صفحة العرض","mod.php?mod=gallery&modfile=picshow&imgid=$imgid");

}else{
$url = "mod.php?mod=gallery&modfile=picshow&imgid=$imgid";
$apt->bodymsg("عفوا ... يبدو انك اخطأت في العنوان<br>انتظر قليلا ليتم نقلك",$url);
}
?>